Page MenuHomePhabricator

error: add InMemoryMergeConflictsError
ClosedPublic

Authored by phillco on Oct 23 2017, 3:42 PM.

Details

Summary

We'll raise this exception in the merge code, and in-memory users like rebase
can catch it and retry without IMM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

phillco created this revision.Oct 23 2017, 3:42 PM

This stack is about ~25 patches in total and the whole thing can be viewed at https://bitbucket.org/phillco/hg-imm/commits/all (77e0368 is the tip and 4f5d7b7 is the base).

phillco set the repository for this revision to rHG Mercurial.Nov 15 2017, 10:38 PM
phillco added a reviewer: hg-reviewers.
phillco added a subscriber: Restricted Project.Nov 15 2017, 10:50 PM
phillco edited subscribers, added: mercurial-devel; removed: Restricted Project.Nov 16 2017, 12:09 AM
phillco edited the summary of this revision. (Show Details)Nov 16 2017, 12:12 AM
phillco edited the summary of this revision. (Show Details)Nov 16 2017, 12:13 AM
pulkit accepted this revision.Nov 16 2017, 5:00 PM
durin42 accepted this revision.Nov 20 2017, 6:24 PM
This revision is now accepted and ready to land.Nov 20 2017, 6:24 PM
This revision was automatically updated to reflect the committed changes.